Page MenuHomePhabricator

Install texlive-extra-utils on mw appservers
Closed, DeclinedPublic

Description

I would wish for more LaTeX packages for wikibooks (see my same-name user account there), in particular scalerel, stackengine and esint.

Details

Related Gerrit Patches:
operations/puppet : productionInstall texlive-extra-utils on mw appservers

Event Timeline

Mathmensch raised the priority of this task from to Medium.
Mathmensch updated the task description. (Show Details)
Mathmensch added a project: Project-Admins.
Mathmensch added a subscriber: Mathmensch.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2015, 7:50 PM
Krenair set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 15 2015, 8:29 PM
Krenair renamed this task from Install-more-LaTeX-packages to Install more LaTeX packages.Aug 15 2015, 8:29 PM
Reedy renamed this task from Install more LaTeX packages to Install texlive-extra-utils on mw appservers.Aug 16 2015, 3:25 PM
Reedy added a subscriber: Reedy.

Change 231889 had a related patch set uploaded (by Reedy):
Install texlive-extra-utils on mw appservers

https://gerrit.wikimedia.org/r/231889

Reedy added a comment.EditedAug 16 2015, 3:30 PM

Can you give a rough use case for this please @Mathmensch? Straight off, I can't see why it'd be a problem (well, other than all the other stuff the debian package will install by default), but a justification is always helpful :)

@Reedy I need a symbol for an average (integral w/ horizontal stroke) and a really wide hat for the Fourier transform (the current one is too small, this needs scalerel & stackengine)

See also tex.stackexchange.com/questions/100574/really-wide-hat-symbol

Reedy added a comment.Aug 16 2015, 3:48 PM

Hmm. That first link suggests those exist in texlive-latex-extra, which should be installed already...

http://packages.ubuntu.com/trusty/all/texlive-latex-extra/filelist

Do they just need whitelisting in the Math extension maybe then? :/

I don't know how to do that and probably don't have permission either.

Dzahn added a subscriber: Dzahn.Sep 9 2015, 11:17 PM

what does texlive-extra-utils contain? -->

This package includes the following CTAN packages:
 a2ping -- Advanced PS, PDF, EPS converter.
 adhocfilelist -- '\listfiles' entries from the command line.
 arara -- Automation of LaTeX compilation.
 bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
 bibtexu --
 bundledoc -- Bundle together all the files needed to build a LaTeX
  document.
 ctanify -- Prepare a package for upload to CTAN.
 ctanupload -- Support for users uploading to CTAN.
 ctie -- C version of tie (merging Web change files).
 cweb -- A Web system in C.
 de-macro -- Expand private macros in a document.
 detex -- Strip TeX from a source file.
 dtl -- Tools to dis-assemble and re-assemble DVI files.
 dtxgen -- Creates a template for a self-extracting .dtx file.
 dvi2tty -- Produce ASCII from DVI.
 dviasm -- A utility for editing DVI files.
 dvicopy -- Copy DVI files, flattening VFs.
 dviljk -- DVI to Laserjet output.
 dvipos --
 dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG).
 findhyph -- Find hyphenated words in a document.
 hyphenex -- Generate a hyphenation exceptions file.
 installfont -- A bash script for installing a LaTeX font family.
 latex-git-log -- Typeset git log information.
 latex2man -- Translate LaTeX-based manual pages into Unix man format.
 latexfileversion -- Prints the version and date of a LaTeX class or style
  file.
 latexpand -- Expand \input and \include in a LaTeX document.
 latexindent -- Indent a LaTeX document, highlighting the programming
  structure.
 ltxfileinfo -- Print version info for latex class or style file.
 ltximg -- Split LaTeX files to sanitise a conversion process.
 listings-ext -- Automated input of source.
 match_parens -- Easily detect mismatched parens.
 mkjobtexmf -- Generate a texmf tree for a particular job.
 patgen -- Generate hyphenation patterns.
 pdfcrop -- Crop PDF graphics.
 pdfjam -- Shell scripts interfacing to pdfpages.
 pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
 pfarrei -- LaTeX support of pastors' and priests' work.
 pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
 pkfix-helper -- Make PostScript files accessible to pkfix.
 pythontex -- Run Python from within a document, typesetting the results.
 seetexk -- Utilities for manipulating DVI files.
 sty2dtx -- Create a .dtx file from a .sty file.
 synctex --
 texcount -- Count words in a LaTeX document.
 texdef -- Display the definitions of TeX commands.
 texdiff -- Compare documents and produce tagged merge.
 texdirflatten -- Collect files related to a LaTeX job in a single
  directory.
 texliveonfly -- On-the-fly download of missing TeX live packages.
 texloganalyser -- Analyse TeX logs.
 texware -- Utility programs for use with TeX.
 tie -- Allow multiple web change files.
 tpic2pdftex -- Use tpic commands in PDFTeX.
 typeoutfileinfo -- Display class/package/file information.
 web -- original web programs tangle and weave

which texlive packages are already installed?

[mw1033:~] $ dpkg -l | grep texlive
ii  texlive                              2013.20140215-1                      all          TeX Live: A decent selection of the TeX Live packages
ii  texlive-base                         2013.20140215-1                      all          TeX Live: Essential programs and files
ii  texlive-bibtex-extra                 2013.20140215-2                      all          TeX Live: BibTeX additional styles
ii  texlive-binaries                     2013.20130729.30972-2build3          amd64        Binaries for TeX Live
ii  texlive-font-utils                   2013.20140215-2                      all          TeX Live: Graphics and font utilities
ii  texlive-fonts-extra                  2013.20140215-2                      all          TeX Live: Additional fonts
ii  texlive-fonts-recommended            2013.20140215-1                      all          TeX Live: Recommended fonts
ii  texlive-generic-recommended          2013.20140215-1                      all          TeX Live: Generic recommended packages
ii  texlive-lang-african                 2013.20140215-1                      all          TeX Live: African scripts
ii  texlive-lang-all                     2013.20140215-1                      all          TeX Live: metapackage depending on all TeX Live language packages
ii  texlive-lang-arabic                  2013.20140215-1                      all          TeX Live: Arabic
ii  texlive-lang-cjk                     2013.20140215-1                      all          TeX Live: Chinese/Japanese/Korean
ii  texlive-lang-cyrillic                2013.20140215-1                      all          TeX Live: Cyrillic
ii  texlive-lang-czechslovak             2013.20140215-1                      all          TeX Live: Czech/Slovak
ii  texlive-lang-english                 2013.20140215-1                      all          TeX Live: US and UK English
ii  texlive-lang-european                2013.20140215-1                      all          TeX Live: Other European languages
ii  texlive-lang-french                  2013.20140215-1                      all          TeX Live: French
ii  texlive-lang-german                  2013.20140215-1                      all          TeX Live: German
ii  texlive-lang-greek                   2013.20140215-1                      all          TeX Live: Greek
ii  texlive-lang-indic                   2013.20140215-1                      all          TeX Live: Indic scripts
ii  texlive-lang-italian                 2013.20140215-1                      all          TeX Live: Italian
ii  texlive-lang-other                   2013.20140215-1                      all          TeX Live: Other languages
ii  texlive-lang-polish                  2013.20140215-1                      all          TeX Live: Polish
ii  texlive-lang-portuguese              2013.20140215-1                      all          TeX Live: Portuguese
ii  texlive-lang-spanish                 2013.20140215-1                      all          TeX Live: Spanish
ii  texlive-latex-base                   2013.20140215-1                      all          TeX Live: LaTeX fundamental packages
ii  texlive-latex-extra                  2013.20140215-2                      all          TeX Live: LaTeX additional packages
ii  texlive-latex-recommended            2013.20140215-1                      all          TeX Live: LaTeX recommended packages
ii  texlive-math-extra                   2013.20140215-2                      all          TeX Live: Mathematics packages
ii  texlive-pictures                     2013.20140215-1                      all          TeX Live: Graphics, pictures, diagrams
ii  texlive-pstricks                     2013.20140215-2                      all          TeX Live: PSTricks
ii  texlive-publishers                   2013.20140215-2                      all          TeX Live: Publisher styles, theses, etc.

So yes, latex-extra is already installed as Reedy said.

Dzahn added a comment.Sep 9 2015, 11:24 PM

Do they just need whitelisting in the Math extension maybe then? :/

How do you do that? I cloned the Math extension but i don't see an obvious list of texlive packages except in the README that says what to install.

Do they just need whitelisting in the Math extension maybe then? :/

How do you do that? I cloned the Math extension but i don't see an obvious list of texlive packages except in the README that says what to install.

Don't know. It was a guess... Ping @Physikerwelt

Change 231889 abandoned by Dzahn:
Install texlive-extra-utils on mw appservers

Reason:
I'll abandon this for now. Let's continue the discussion on the linked phabricator ticket. It looks to me like it's not needed but if i'm wrong we can always just click to restore this.

https://gerrit.wikimedia.org/r/231889

@Physikerwelt See our comments above, texlive-latex-extra is already installed. Could it be about the whitelisting in the extension? Just assigning to you to get your feedback for now.

@Dzahn: The situation is slightly more complicated. MediaWiki uses its own set of commans that are most of the time identical to the tex commands from various packages. Therefore there is a set of allowed commands that was hardcoded in texvc. For convinence I listed the commands here
http://www.formulasearchengine.com/sites/formulasearchengine.com/files/android.txt
(If you are interested I also have a list with usage statistics on enwiki...)
To become independent of that, @cscott developed a new tool texvcjs that reproduces this behaviour and is used for new rendering modes (i.e. MathML rendering).
This ist is easyer to customize and independent of the rendering engine.
However, before we change something on the set of availible commands, we should resolve T78046, or at least disable all rending modes other than MathML for Wikikis that want to customize their set of commands.

Dzahn added a comment.Oct 3 2015, 12:34 AM

@Physikerwelt ok, thanks! so trying to make this simpler again. is your request still to add the package "texlive-extra-utils" on appservers just like the ticket title says?

@Dzahn: That was not my request and Im not in favour of that.
We, @GWicke, @mobrovac, and others, are making good progress with the new rendering mode das does not require a latex installation on the webserver.
I would prefere to pospone the request (which is more to enable the commands in that particular package than to install some latex package on a server) until we only have one rendering mode. Otherwise I expect a lot of problems (especially in the context of incompatible texvc versions).

Dzahn added a comment.Nov 3 2015, 1:09 AM

@Physikerwelt ok,thanks for the explanation. That sounds to me like the ticket is rejected.

@Mathmensch what do you think about the comments above?

Dzahn lowered the priority of this task from Medium to Low.Nov 3 2015, 1:09 AM

@Physikerwelt Can I expect the new rendering mode to be complete in the next summer term? (I'm currently trying to accumulate some free time there for work at wikibooks.)

Physikerwelt closed this task as Declined.Apr 29 2016, 2:33 PM

Please open a new bug with a list of commands and their applications, which do not work with the new rendering mode.